package cn.com.qmth.stmms.biz.distributpaper.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.PagingAndSortingRepository;

import cn.com.qmth.stmms.biz.distributpaper.model.StandardHistory;

public interface StandardHistoryDao extends PagingAndSortingRepository<StandardHistory, Integer>,
        JpaSpecificationExecutor<StandardHistory> {

    List<StandardHistory> findByLibraryId(Integer libraryId);

    List<StandardHistory> findByLibraryIdAndScorer(Integer libraryId, Integer scorer);

    List<StandardHistory> findByScorer(Integer scorerId);
}
